package com.steerinfo.abnormalHandler.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkcaractualfirst.model.MeterWorkCarActualFirst;
import com.steerinfo.pretrack.pretrackscale.model.PreTrackScale;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface StatusSyncMapper extends IBaseMapper<PreTrackScale, String> {
    // 规则1：洁净表正常，一次表有效
    List<MeterWorkCarActualFirst> selectRule1PredictionNos();

    // 规则2：洁净表正常，预报表正使用
    List<PreTrackScale> selectRule2PredictionNos();

    // 规则3：一次表存在，洁净表不存在，预报表未使用
    List<PreTrackScale> selectRule3PredictionNos();
    // 规则4：一次表不存在，洁净表不存在，预报表已使用/正使用
    List<PreTrackScale> selectRule4PredictionNos();
}
